Index: examples/python_tests/.runall
===================================================================
--- examples/python_tests/.runall	(revision e3462b4a59b42b4848b5ad88a611880e3200b047)
+++ examples/python_tests/.runall	(revision e3462b4a59b42b4848b5ad88a611880e3200b047)
@@ -0,0 +1,28 @@
+#!/bin/sh 
+
+# format,
+#   runall clean
+#   runall run
+
+progname=$(basename $0)
+pwd=`pwd`
+
+if [ $# -eq 0 ]; then
+    echo "Usage: $progname (clean|run)" >&2;
+    exit 1
+fi
+
+for i in `ls -1 `; do
+   if [ -d $i ]; then
+       cd $i
+       if [ "$1" = "clean" ]; then
+           rm -rf ../allout.tmp
+           printf "\n ==> CLEANING on %s\n" "$i" >& 2 ;
+           rm -rf *.der *.pem *.cn *.sha *.log
+       elif [ "$1" = "run" ] ; then
+           printf "\n ==> RUN on %s\n" "$i" >& 2;
+           ./run_test
+       fi 
+       cd $pwd
+   fi
+done
Index: examples/python_tests/README
===================================================================
--- examples/python_tests/README	(revision f824a9ec465246e1555b44ec89522ae2ad35c47e)
+++ examples/python_tests/README	(revision e3462b4a59b42b4848b5ad88a611880e3200b047)
@@ -15,14 +15,12 @@
 script if preferred.
 
-runall, is the top level script that will wipe clean all by products
-of a validation run or initiate run_test in each subdirectory.
-
 runcheck, is the top level script that initiates a complete 
 validation run; captures the result and compares with the baseline 
-result stored in allout.save.  
+result stored in allout.save.  It calls .runall to wipe clean all 
+byproducts of a validation run and to initiate run_test in each 
+subdirectory.
 
-Typical commands to call:
+Typical command to call at the top:
     
-    runall clean
     runcheck
 
Index: examples/python_tests/access_rt2/query.py
===================================================================
--- examples/python_tests/access_rt2/query.py	(revision f824a9ec465246e1555b44ec89522ae2ad35c47e)
+++ examples/python_tests/access_rt2/query.py	(revision e3462b4a59b42b4848b5ad88a611880e3200b047)
@@ -101,2 +101,4 @@
     print "%s <- %s" % (c.head_string(), c.tail_string())
 
+
+## ctxt.dump_yap_db()
Index: examples/python_tests/basic_id/id.save
===================================================================
--- examples/python_tests/basic_id/id.save	(revision f824a9ec465246e1555b44ec89522ae2ad35c47e)
+++ examples/python_tests/basic_id/id.save	(revision e3462b4a59b42b4848b5ad88a611880e3200b047)
@@ -1,4 +1,4 @@
 % Restoring file /usr/local/lib/Yap/startup.yss
-python: Couldn't load ID/KEY IDKEY cert /home/mei/Deter/abac/examples/python_tests/basic_id/Tom_IDKEY.pem
+python: Couldn't load ID/KEY IDKEY cert Tom_IDKEY.pem
 ABAC version 1.0
 ...initial principal set...
Index: examples/python_tests/basic_id/run_test
===================================================================
--- examples/python_tests/basic_id/run_test	(revision f824a9ec465246e1555b44ec89522ae2ad35c47e)
+++ examples/python_tests/basic_id/run_test	(revision e3462b4a59b42b4848b5ad88a611880e3200b047)
@@ -8,8 +8,10 @@
 
 echo '---run with sha'
-eval $g_cmd_sha 2>/dev/null 1 > id.sha
+eval $g_cmd_sha 1>id.sha 2>&1
 
 echo '---run with cn'
-eval $g_cmd_cn 1>id.cn 2>&1
+eval $g_cmd_cn 1>id_pre.cn 2>&1
+cat id_pre.cn |sed 's/cert .*Tom_IDKEY.pem/cert Tom_IDKEY.pem/' > id.cn
+rm -rf id_pre.cn
 result=`diff id.cn id.save 2>/dev/null`
 if [ $? -eq 0 ]; then
Index: examples/python_tests/runall
===================================================================
--- examples/python_tests/runall	(revision f824a9ec465246e1555b44ec89522ae2ad35c47e)
+++ 	(revision )
@@ -1,28 +1,0 @@
-#!/bin/sh 
-
-# format,
-#   runall clean
-#   runall run
-
-progname=$(basename $0)
-pwd=`pwd`
-
-if [ $# -eq 0 ]; then
-    echo "Usage: $progname (clean|run)" >&2;
-    exit 1
-fi
-
-for i in `ls -1 `; do
-   if [ -d $i ]; then
-       cd $i
-       if [ "$1" = "clean" ]; then
-           rm -rf ../allout.tmp
-           printf "\n ==> CLEANING on %s\n" "$i" >& 2 ;
-           rm -rf *.der *.pem *.cn *.sha *.log
-       elif [ "$1" = "run" ] ; then
-           printf "\n ==> RUN on %s\n" "$i" >& 2;
-           ./run_test
-       fi 
-       cd $pwd
-   fi
-done
Index: examples/python_tests/runcheck
===================================================================
--- examples/python_tests/runcheck	(revision f824a9ec465246e1555b44ec89522ae2ad35c47e)
+++ examples/python_tests/runcheck	(revision e3462b4a59b42b4848b5ad88a611880e3200b047)
@@ -3,7 +3,10 @@
 rm -rf allout.tmp
 
+./.runall clean
+
+echo '\n'
 echo 'running libabac PYTHON testing...'
 
-env ./runall run 1> allout.tmp 2>& 1
+env ./.runall run 1> allout.tmp 2>& 1
 
 result=`diff allout.tmp allout.save`
